Last Comment Bug 454507 - Contexts menu for links in emails "Copy Link Location" and "Copy" both uses C as accesskey
: Contexts menu for links in emails "Copy Link Location" and "Copy" both uses C...
Status: RESOLVED FIXED
[good first bug]
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All All
: -- enhancement with 1 vote (vote)
: Thunderbird 19.0
Assigned To: Magnus Melin
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 17:19 PDT by Daniel Holbert [:dholbert]
Modified: 2012-10-19 11:25 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (1.27 KB, patch)
2012-10-02 13:49 PDT, Magnus Melin
squibblyflabbetydoo: review+
Details | Diff | Splinter Review

Description Daniel Holbert [:dholbert] 2008-09-09 17:19:39 PDT
One of the changes between Firefox 2 and Firefox 3 was that the hotkey for  "Copy Link Location" changed from "c" to "a".  However, in Thunderbird, it's still "c".  Thunderbird should change to match Firefox.

Steps to reproduce:
 1. View an email that includes a hyperlink
 2. Right-click the hyperlink
 3. Press 'a'

EXPECTED RESULTS:
"Copy Link Location" should be chosen

ACTUAL RESULTS:
"Select All" is chosen

Note: In Firefox 3, 'Select All' doesn't even appear in hyperlink context menus *at all*, which removes the ambiguity.  It does appear in non-hyperlink context menus, though, and 'a' maps to Select All in those menus.

Tested using Shredder version 3.0a2 (2008072418) on Ubuntu Linux 8.10a5
Comment 1 Scott Ritchie 2011-07-11 06:22:23 PDT
This is still true, and still relevant -- I actually use this feature in Firefox, and it annoys me slightly in Thunderbird.
Comment 2 Jim Porter (:squib) 2012-05-21 15:34:45 PDT
We should definitely do this, since Copy and Copy Link Location are using the same access key. To see this in action, select some text (any text) and then right-click on a link.
Comment 3 Magnus Melin 2012-10-02 13:48:53 PDT
"a" is already used for "Select All". L seems to be free though
Comment 4 Magnus Melin 2012-10-02 13:49:51 PDT
Created attachment 667147 [details] [diff] [review]
proposed fix
Comment 5 Jim Porter (:squib) 2012-10-18 19:18:29 PDT
Comment on attachment 667147 [details] [diff] [review]
proposed fix

rs=me. Sorry about the delay!
Comment 6 Magnus Melin 2012-10-19 11:25:36 PDT
http://hg.mozilla.org/comm-central/rev/303a9adae549 -> FIXED

Note You need to log in before you can comment on or make changes to this bug.